#include "qpiconsoleplugin.h"

#include "qpiconsole.h"

#include <QtCore/QtPlugin>


QPIConsolePlugin::QPIConsolePlugin(QObject * parent): QObject(parent) {
	m_initialized = false;
}


void QPIConsolePlugin::initialize(QDesignerFormEditorInterface * /* core */) {
	if (m_initialized) return;

	// Add extension registrations, etc. here

	m_initialized = true;
}


bool QPIConsolePlugin::isInitialized() const {
	return m_initialized;
}


QWidget * QPIConsolePlugin::createWidget(QWidget * parent) {
	return new QPIConsole(parent);
}


QString QPIConsolePlugin::name() const {
	return QLatin1String("QPIConsole");
}


QString QPIConsolePlugin::group() const {
	return QLatin1String("Display Widgets");
}


QIcon QPIConsolePlugin::icon() const {
	return QIcon(":/icons/widgets/qpiconsole.png");
}


QString QPIConsolePlugin::toolTip() const {
	return QLatin1String("QPIConsole");
}


QString QPIConsolePlugin::whatsThis() const {
	return QLatin1String("QPIConsole");
}


bool QPIConsolePlugin::isContainer() const {
	return false;
}


QString QPIConsolePlugin::domXml() const {
	return QLatin1String("<widget class=\"QPIConsole\" name=\"piConsole\">\n</widget>\n");
}


QString QPIConsolePlugin::includeFile() const {
	return QLatin1String("qpiconsole.h");
}
